;; This allows one to import a module with no initial environment
(define (use-clean-module mod)
   (define ev (jsint.Evaluator.))
   (define env (jsint.DynamicEnvironment.))
   (.INTERACTION_ENVIRONMENT$ ev env)
   (jsint.Scheme.pushEvaluator ev)
   (.load ev mod)
   (jsint.Scheme.popEvaluator)
   (.lockDown env)
   (.importBindings (.interactionEnvironment (jsint.Scheme.currentEvaluator))
   env)

(define ev (Scheme.currentEvaluator))
(define env (.INTERACTION_ENVIRONMENT$ ev))
(define rep (.rep$# env))
(define keyset (.keySet rep))


 (let ((f elf:for-each*)
       (g .setGlobalValue)
       (ev ev)
       (env env)
       (rep rep)
       (keyset keyset)
       (r .remove)
       (h use-module)
       )
  (f (lambda(x) (r rep x)) keyset)
  (set! use-module h)
  (set! ev ev)
  (set! env 'env)
 )

